package com.mortals.xhx.module.check.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.check.model.CheckEffectRecordEntity;
import com.mortals.xhx.module.check.service.CheckEffectRecordService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 效能绩效核查信息
*
* @author zxfei
* @date 2023-05-18
*/
@RestController
@RequestMapping("check/effect/record")
public class CheckEffectRecordController extends BaseCRUDJsonBodyMappingController<CheckEffectRecordService,CheckEffectRecordEntity,Long> {

    @Autowired
    private ParamService paramService;

    public CheckEffectRecordController(){
        super.setModuleDesc( "效能绩效核查信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "irregularType", paramService.getParamBySecondOrganize("CheckEffectRecord","irregularType"));
        this.addDict(model, "subMethod", paramService.getParamBySecondOrganize("CheckEffectRecord","subMethod"));
        this.addDict(model, "checkStatus", paramService.getParamBySecondOrganize("CheckEffectRecord","checkStatus"));
        super.init(model, context);
    }


}