package com.mortals.xhx.module.dept.model.vo;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.dept.model.DeptPerformStatEntity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;
import lombok.Data;
/**
* 部门绩效分数统计视图对象
*
* @author zxfei
* @date 2023-05-16
*/
@Data
public class DeptPerformStatVo extends BaseEntityLong {

        /**
        * 部门绩效总分数
        */
        @Excel(name = "部门绩效总分数")
        private BigDecimal totalScore;


}