package com.mortals.xhx.module.perform.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.perform.model.PerformPerposeEntity;
import com.mortals.xhx.module.perform.service.PerformPerposeService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 考核目标
*
* @author zxfei
* @date 2023-05-16
*/
@RestController
@RequestMapping("perform/perpose")
public class PerformPerposeController extends BaseCRUDJsonBodyMappingController<PerformPerposeService,PerformPerposeEntity,Long> {

    @Autowired
    private ParamService paramService;

    public PerformPerposeController(){
        super.setModuleDesc( "考核目标");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "assessmentType", paramService.getParamBySecondOrganize("PerformPerpose","assessmentType"));
        this.addDict(model, "assessmentScope", paramService.getParamBySecondOrganize("PerformPerpose","assessmentScope"));
        this.addDict(model, "compareScope", paramService.getParamBySecondOrganize("PerformPerpose","compareScope"));
        this.addDict(model, "periodType", paramService.getParamBySecondOrganize("PerformPerpose","periodType"));
        this.addDict(model, "month", paramService.getParamBySecondOrganize("PerformPerpose","month"));
        this.addDict(model, "halfYear", paramService.getParamBySecondOrganize("PerformPerpose","halfYear"));
        this.addDict(model, "halfYear", paramService.getParamBySecondOrganize("PerformPerpose","halfYear"));
        this.addDict(model, "quarter", paramService.getParamBySecondOrganize("PerformPerpose","quarter"));
        super.init(model, context);
    }


}