package com.mortals.xhx.module.perform.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.perform.model.PerformStaffConfDetailEntity;
import com.mortals.xhx.module.perform.service.PerformStaffConfDetailService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 人员考核内容详细信息
*
* @author zxfei
* @date 2023-05-16
*/
@RestController
@RequestMapping("perform/staff/conf/detail")
public class PerformStaffConfDetailController extends BaseCRUDJsonBodyMappingController<PerformStaffConfDetailService,PerformStaffConfDetailEntity,Long> {

    @Autowired
    private ParamService paramService;

    public PerformStaffConfDetailController(){
        super.setModuleDesc( "人员考核内容详细信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "type", paramService.getParamBySecondOrganize("PerformStaffConfDetail","type"));
        this.addDict(model, "enable", paramService.getParamBySecondOrganize("PerformStaffConfDetail","enable"));
        super.init(model, context);
    }


}