package com.mortals.xhx.busiz.dingtalk.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * 钉钉配置
 *
 * @Author: ZXF
 */
@Data
@Configuration
public class TalkConfiguration {

    /**
     * AgentId
     */
    @Value("${dingtalk.agentId:''}")
    private String getAgentId;

    /**
     * getToken
     */
    @Value("${dingtalk.gettoken:''}")
    private String getTokneUrl;

    /**
     * getbymobile
     */
    @Value("${dingtalk.getbymobile:''}")
    private String getbymobile;


    /**
     * getDeptbyUser
     */
    @Value("${dingtalk.getDeptbyUser:''}")
    private String getDeptbyUser;


    /**
     * workCreate
     */
    @Value("${dingtalk.workCreate:''}")
    private String workCreate;


    /**
     * processCode
     */
    @Value("${dingtalk.processCode:''}")
    private String processCode;

    /**
     * aesToken
     */
    @Value("${dingtalk.aesToken:''}")
    private String aesToken;

    /**
     * aseKey
     */
    @Value("${dingtalk.aesKey:''}")
    private String aesKey;

    /**
     * ownerKey
     */
    @Value("${dingtalk.ownerKey:''}")
    private String ownerKey;

}
