package com.mortals.xhx.module.check.model.vo;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.check.model.CheckComplainRecordEntity;
import java.util.ArrayList;
import java.util.List;
import lombok.Data;
/**
* 评价绩效投诉核查信息视图对象
*
* @author zxfei
* @date 2023-05-18
*/
@Data
public class CheckComplainRecordVo extends BaseEntityLong {

        /**
        * 员工姓名
        */
        @Excel(name = "员工姓名")
        private String staffName;
        /**
        * 工号
        */
        @Excel(name = "工号")
        private String workNum;
        /**
        * 窗口编号
        */
        @Excel(name = "窗口编号")
        private String windowNum;
        /**
        * 所属部门名称
        */
        @Excel(name = "所属部门名称")
        private String deptName;
        /**
        * 投诉标题
        */
        @Excel(name = "投诉标题")
        private String complainTitle;
        /**
        * 投诉内容
        */
        @Excel(name = "投诉内容")
        private String complainContent;
        /**
        * 联系电话
        */
        @Excel(name = "联系电话")
        private String contact;
        /**
        * 扣分人员
        */
        @Excel(name = "扣分人员")
        private String deductPerson;
        /**
        * 核查人员
        */
        @Excel(name = "核查人员")
        private String checkPerson;
        /**
        * 核查说明
        */
        @Excel(name = "核查说明")
        private String checkDesc;
        /**
        * 核查结果
        */
        @Excel(name = "核查结果")
        private String checkResult;


}