package com.mortals.xhx.module.perform.model.vo;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.perform.model.PerformComplainRecordEntity;
import java.util.ArrayList;
import java.util.List;
import lombok.Data;
/**
* 评价绩效投诉记录信息视图对象
*
* @author zxfei
* @date 2023-05-18
*/
@Data
public class PerformComplainRecordVo extends BaseEntityLong {

        /**
        * 员工姓名
        */
        @Excel(name = "员工姓名")
        private String staffName;
        /**
        * 工号
        */
        @Excel(name = "工号")
        private String workNum;
        /**
        * 窗口编号
        */
        @Excel(name = "窗口编号")
        private String windowNum;
        /**
        * 所属部门名称
        */
        @Excel(name = "所属部门名称")
        private String deptName;
        /**
        * 投诉标题
        */
        @Excel(name = "投诉标题")
        private String complainTitle;
        /**
        * 投诉内容
        */
        @Excel(name = "投诉内容")
        private String complainContent;
        /**
        * 联系电话
        */
        @Excel(name = "联系电话")
        private String contact;
        /**
        * 扣分人员
        */
        @Excel(name = "扣分人员")
        private String deductPerson;
        /**
        * 处理状态(1.未核查,2.已核查)
        */
        @Excel(name = "处理状态", readConverterExp = "1=未核查,2.已核查")
        private Integer processStatus;


}