package com.mortals.xhx.module.perform.model.vo;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.perform.model.PerformReviewRecordEntity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;
import lombok.Data;
/**
* 评价差评绩效记录信息视图对象
*
* @author zxfei
* @date 2023-05-18
*/
@Data
public class PerformReviewRecordVo extends BaseEntityLong {

        /**
        * 员工姓名
        */
        @Excel(name = "员工姓名")
        private String staffName;
        /**
        * 工号
        */
        @Excel(name = "工号")
        private String workNum;
        /**
        * 窗口编号
        */
        @Excel(name = "窗口编号")
        private String windowNum;
        /**
        * 评价来源(窗口评价系统,导视系统,自助服务系统,微官网,其它)
        */
        @Excel(name = "评价来源", readConverterExp = "评价来源(窗口评价系统,导视系统,自助服务系统,微官网,其它)")
        private String reviewSource;
        /**
        * 规则名称
        */
        @Excel(name = "规则名称")
        private String ruleName;
        /**
        * 扣分人员
        */
        @Excel(name = "扣分人员")
        private String deductPerson;
        /**
        * 扣分或增加分值
        */
        @Excel(name = "扣分或增加分值")
        private BigDecimal score;


}