package com.mortals.xhx.module.staff.model.vo;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.staff.model.StaffPerformStatEntity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;
import lombok.Data;
/**
* 员工绩效统计视图对象
*
* @author zxfei
* @date 2023-05-17
*/
@Data
public class StaffPerformStatVo extends BaseEntityLong {

        /**
        * 部门绩效总分数
        */
        @Excel(name = "部门绩效总分数")
        private BigDecimal totalScore;


}